Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1284943 - [abrt] gnome-disk-utility: get_popup_parent(): gnome-disks killed by SIGSEGV
Summary: [abrt] gnome-disk-utility: get_popup_parent(): gnome-disks killed by SIGSEGV
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-disk-utility
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e47ffd1b86f5b47714d9d290d9d...
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2015-11-24 14:01 UTC by Kamil Páral
Modified: 2016-05-31 08:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-31 08:54:15 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2015-11-24 14:01 UTC, Kamil Páral
no flags Details
File: cgroup (deleted)
2015-11-24 14:01 UTC, Kamil Páral
no flags Details
File: core_backtrace (deleted)
2015-11-24 14:01 UTC, Kamil Páral
no flags Details
File: dso_list (deleted)
2015-11-24 14:01 UTC, Kamil Páral
no flags Details
File: environ (deleted)
2015-11-24 14:01 UTC, Kamil Páral
no flags Details
File: exploitable (deleted)
2015-11-24 14:01 UTC, Kamil Páral
no flags Details
File: limits (deleted)
2015-11-24 14:01 UTC, Kamil Páral
no flags Details
File: maps (deleted)
2015-11-24 14:01 UTC, Kamil Páral
no flags Details
File: mountinfo (deleted)
2015-11-24 14:01 UTC, Kamil Páral
no flags Details
File: namespaces (deleted)
2015-11-24 14:01 UTC, Kamil Páral
no flags Details
File: open_fds (deleted)
2015-11-24 14:01 UTC, Kamil Páral
no flags Details
File: proc_pid_status (deleted)
2015-11-24 14:01 UTC, Kamil Páral
no flags Details
File: smart_data (deleted)
2015-11-24 14:01 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2015-11-24 14:01:16 UTC
Description of problem:
I wanted to reformat a partition. I clicked on it.

Version-Release number of selected component:
gnome-disk-utility-3.18.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-disks --gapplication-service
crash_function: get_popup_parent
executable:     /usr/bin/gnome-disks
global_pid:     12731
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 get_popup_parent at gdkwindow-wayland.c:1279
 #1 gdk_wayland_window_map at gdkwindow-wayland.c:1367
 #2 gdk_wayland_window_show at gdkwindow-wayland.c:1417
 #3 gdk_window_show_internal at gdkwindow.c:5013
 #4 gtk_window_map at gtkwindow.c:6096
 #5 _g_closure_invoke_va at gclosure.c:864
 #8 gtk_widget_map at gtkwidget.c:4920
 #9 gtk_window_show at gtkwindow.c:5952
 #14 gtk_widget_show at gtkwidget.c:4726
 #15 gtk_menu_popup_for_device at gtkmenu.c:1750

Comment 1 Kamil Páral 2015-11-24 14:01:21 UTC
Created attachment 1098210 [details]
File: backtrace

Comment 2 Kamil Páral 2015-11-24 14:01:23 UTC
Created attachment 1098211 [details]
File: cgroup

Comment 3 Kamil Páral 2015-11-24 14:01:25 UTC
Created attachment 1098212 [details]
File: core_backtrace

Comment 4 Kamil Páral 2015-11-24 14:01:27 UTC
Created attachment 1098213 [details]
File: dso_list

Comment 5 Kamil Páral 2015-11-24 14:01:29 UTC
Created attachment 1098214 [details]
File: environ

Comment 6 Kamil Páral 2015-11-24 14:01:30 UTC
Created attachment 1098215 [details]
File: exploitable

Comment 7 Kamil Páral 2015-11-24 14:01:32 UTC
Created attachment 1098216 [details]
File: limits

Comment 8 Kamil Páral 2015-11-24 14:01:34 UTC
Created attachment 1098217 [details]
File: maps

Comment 9 Kamil Páral 2015-11-24 14:01:36 UTC
Created attachment 1098218 [details]
File: mountinfo

Comment 10 Kamil Páral 2015-11-24 14:01:37 UTC
Created attachment 1098219 [details]
File: namespaces

Comment 11 Kamil Páral 2015-11-24 14:01:39 UTC
Created attachment 1098220 [details]
File: open_fds

Comment 12 Kamil Páral 2015-11-24 14:01:41 UTC
Created attachment 1098221 [details]
File: proc_pid_status

Comment 13 Kamil Páral 2015-11-24 14:01:45 UTC
Created attachment 1098222 [details]
File: smart_data

Comment 14 Kamil Páral 2015-11-24 14:04:09 UTC
This seems to happen every time I press properties button (gear icon) on a partition (any partition, any disk). I'm using Wayland, if that matters.

Comment 15 Kamil Páral 2015-11-24 14:29:21 UTC
This only happens on Wayland, it's fine on X11.

Comment 16 Christian Stadelmann 2016-05-28 14:18:47 UTC
This issue has been fixed some time ago and is gone on Fedora 24.

Comment 17 Kamil Páral 2016-05-31 08:54:15 UTC
Thanks for testing, closing. I don't think Wayland is going to get many fixes on F23.


Note You need to log in before you can comment on or make changes to this bug.